import 'package:flutter/material.dart';

class VideoSpeedItem {
  final double speed;
  final String title;

  VideoSpeedItem({this.speed = 1.0, this.title = '1X'});
}

class VideoSpeedItemStyle {
  final Color backgroundColor;
  final Size itemSize;
  final TextStyle textStyle;
  final EdgeInsets padding;
  final EdgeInsets margin;
  final BorderRadius radius;

  VideoSpeedItemStyle({
    Color? backgroundColor,
    this.itemSize = const Size(45, 30),
    this.padding = EdgeInsets.zero,
    this.margin = EdgeInsets.zero,
    this.radius = const BorderRadius.all(Radius.circular(8.0)),
    this.textStyle = const TextStyle(
      fontSize: 14.0,
      fontWeight: FontWeight.normal,
      color: Colors.white,
    ),
  }) : backgroundColor = backgroundColor ?? Colors.black.withOpacity(0.5);
}

class VideoSpeedButtonStyle {
  final TextStyle textStyle;
  final String title;

  VideoSpeedButtonStyle({
    this.title = '倍速',
    this.textStyle = const TextStyle(
      fontSize: 14.0,
      fontWeight: FontWeight.normal,
      color: Colors.white,
    ),
  });
}
